=== debian/changelog ===
ganv (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Refresh ldconfig patch
  * Bump S-V to 4.5.1
  * Clean d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 19 Jan 2021 19:45:12 +0100
