=== debian/control ===
Source: ganv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 gir1.2-gtk-2.0,
 gobject-introspection,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 python3,
Standards-Version: 4.5.1
Homepage: https://drobilla.net/software/ganv
Vcs-Git: https://salsa.debian.org/multimedia-team/ganv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ganv
Rules-Requires-Root: no

Package: libganv-1-1v5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: libganv-1-1
Replaces: libganv-1-1
Description: canvas widget for graph-based interfaces
 Ganv is an interactive Gtk canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive
 graphs, etc).
 .
 Ganv provides classes for "Modules" (boxes with "Ports"), Circles,
 and Edges (lines that connect either Ports or Circles).  The user
 can rearrange items, or Ganv can automatically arrange items using
 GraphViz. Edges can be made by the user one at a time with the mouse,
 or in groups using the mouse and keyboard.
 .
 This package provides the shared library.

Package: libganv-dev
Section: libdevel
Architecture: any
Depends:
 libganv-1-1v5 (= ${binary:Version}),
 gir1.2-ganv-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgraphviz-dev,
 libgtk2.0-dev,
 libgtkmm-2.4-dev,
 pkg-config,
 ${misc:Depends}
Description: canvas widget for graph-based interfaces (development files)
 Ganv is an interactive Gtk canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive
 graphs, etc).
 .
 This package provides the development files for the Ganv library.

Package: gir1.2-ganv-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${gir:Depends},
 ${misc:Depends}
Description: GObject Introspection data for Ganv
 Ganv is an interactive Gtk canvas widget for graph-based interfaces
 (patchers, modular synthesizers, finite state automata, interactive
 graphs, etc).
 .
 This package provides the introspection data for the Ganv library.
