=== debian/changelog ===
ganv (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Build with meson
  * Bump Standards Version to 4.6.1
  * Drop obsolete ldconfig patch
  * d/copyright: Remove waf entry and BSD-3-clause license
  * d/copyright: Bump years
  * Update libganv-dev.install
  * Add salsa ci config
  * d/gbp.conf: Remove wrong compression

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Oct 2022 17:14:01 +0200
