=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
  libgraphviz-dev,
  libgtk2.0-dev,
  libgtkmm-2.4-dev,
+ meson,
  pkg-config,
  python3,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/ganv
 Vcs-Git: https://salsa.debian.org/multimedia-team/ganv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ganv
