=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG += gir strict

%:
	dh $@ --buildsystem=meson

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -l src:debian/libganv-dev/usr/share/gir-1.0

override_dh_installchangelogs:
	dh_installchangelogs NEWS
