=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://download.drobilla.net/ganv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
